Retrieve KYB session info
curl --request GET \
--url https://ivs.idenfy.com/kyb/info/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://ivs.idenfy.com/kyb/info/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ivs.idenfy.com/kyb/info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/kyb/info/")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyb/info/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyb/info/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/info/")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/kyb/info/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"theme": {
"companyName": "<string>",
"logo": "<string>",
"font": "<string>",
"colors": {
"primary": "<string>",
"secondary": "<string>",
"primaryBackground": "<string>",
"secondaryBackground": "<string>",
"hoveredButton": "<string>",
"disabledIconButton": "<string>",
"disabledButtonTypography": "<string>",
"disabledButton": "<string>",
"typography": "<string>",
"success": "<string>",
"successBackground": "<string>",
"error": "<string>",
"errorBackground": "<string>",
"warning": "<string>",
"warningBackground": "<string>",
"info": "<string>",
"infoBackground": "<string>",
"border": "<string>"
},
"supportEmail": "jsmith@example.com"
},
"flow": {
"fields": [
{
"required": false,
"order": 1,
"readOnly": false,
"changeFrom": "<unknown>",
"changeRequired": true
}
],
"fieldsCustom": [
{
"field": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"title": "<string>",
"description": "",
"choices": [
{
"key": "<string>",
"title": "<string>"
}
]
},
"required": false,
"order": 2147483647,
"readOnly": false,
"changeFrom": "<unknown>",
"changeRequired": true
}
],
"documents": [
{
"docType": "<string>",
"description": "<string>",
"required": false
}
],
"beneficiaries": [
{
"applicants": [
{
"fields": [
{
"required": false,
"order": 1
}
],
"required": false,
"fieldsCustom": [
{
"field": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"title": "<string>",
"description": "",
"choices": [
{
"key": "<string>",
"title": "<string>"
}
]
},
"required": false,
"order": 2147483647
}
],
"documents": [
{
"docType": "<string>",
"description": "<string>",
"required": false
}
]
}
],
"required": false,
"fields": [
{
"field": "OWNERSHIP_PERCENTAGE",
"required": false
}
],
"description": "<string>",
"readOnly": false
}
],
"companySearch": true,
"bankVerification": true,
"emailVerification": true,
"ownershipFullStructure": true,
"ownershipPercentageThreshold": 50,
"description": "<string>",
"questionnaireDescription": "<string>"
}
}{
"message": "<string>",
"identifier": "AUTHENTICATION_FAILED",
"documentation": "<string>"
}Retrieve KYB session info
Various info for KYB session.
GET
/
kyb
/
info
/
Retrieve KYB session info
Authorizations
Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.
Response
Default locale to use when user opens the KYB form for the first time.
Available options:
en, es, fr, ru, de, it, pl, lt, lv, et, cs, ro, hu, ja, bg, nl, pt Indicates the visual customization of the KYB form.
Show child attributes
Show child attributes
Indicates which fields/objects should be present in the KYB form.
If this field is null, then all possible fields/objects are present in this KYB form.
Show child attributes
Show child attributes
Was this page helpful?
⌘I